#!/bin/sh

LANG=C; export LANG
LC_ALL=C ; export LC_ALL
PATH=$path:/bin:/usr/bin:/usr/local/bin ; export PATH

killscript=/usr/local/libexec/mpd/closebund.sh
date=/bin/date
ls=/bin/ls
cut=/usr/bin/cut

logfile=/var/log/snmpget.log
rundir=/var/run/mpd
login=''
tmpdir=/tmp

echo "$($date) $*" >> $logfile

if [ "$1" = "-s" ]; then
        if [ -z "$4" ] ; then
                exit
        fi
		$killscript $4
        exit
else
        echo "$2"
        echo "string"
        for i in $($ls -1 $rundir/); do
                if [ "x$i" = "xng${2##*.}" ] ; then
                        login=$($cut -f 1 -d ' ' < $rundir/$i)
                        break
                fi
        done
        if [ -z "$login" ]; then
                echo "-"
        else
                echo $login
        fi
fi
